/b2b/oor/buy-rates

Get rates for on-ramp transaction

Query Parameters
  • from
    Type: string
    required

    Fiat currency code for sale

  • to
    Type: string
    required

    Cryptocurrency code for buy

  • amount_from
    Type: string

    The total amount, including fees, to be converted into cryptocurrency, required if 'amount_to' empty

  • amount_to
    Type: string

    The total amount, including fees, to be received in cryptocurrency, required if 'amount_from' empty

  • network
    Type: string

    Cryptocurrency network, if empty default used (default and allowed networks described in /b2b/currencies)

  • payment_alias
    enum
    const:  
    card

    Payment method alias

    values
    • card
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/b2b/oor/buy-rates
curl 'https://sandbox-api.mrcr.io/v1.6/b2b/oor/buy-rates?from=&to=' \
  --header 'B2B-Bearer-Token: YOUR_SECRET_TOKEN'
{
  "status": 200,
  "data": {
    "trx_token": "4ae0bdd7f4ea2f9ac1f54a6ca21685f324d11479f9040305dec90899f4dbe154eyJ0IjoxNjU4OTk4NDI0LCJjIjoiQlRDIiwiYSI6IjAuMDIwMDAwMDAiLCJmYyI6IkVVUiIsImZhIjoiNDMyLjUwIiwiZiI6IjE3LjA5IiwiciI6IjIyNDc4LjcwMDAwMDAwMDAiLCJjaWQiOiJlZWI5MTVkNDRjNzU0YjdkYzhiNGI1NDkxMTY5ZGU5NiIsIm9wIjoic2VsbCIsInB0IjpudWxsLCJwYSI6ImNhcmQiLCJ0dCI6dHJ1ZSwidGYiOiIwIiwidyI6ImRjMDNmYjUyLWEwNTgtNDhlMS1hMjJmLWMyYjA3NDRkNmU4MiIsInNmIjoiMTcuMDkifQ==",
    "currency": "BTC",
    "amount": "0.02000000",
    "fiat_amount": "432.50",
    "fiat_currency": "EUR",
    "rate": "22478.7000000000",
    "fee": {
      "BTC": "0.00075999",
      "EUR": "17.09"
    },
    "subtotal": {
      "BTC": "0.01924001",
      "EUR": "432.50"
    },
    "total": {
      "BTC": "0.02000000",
      "EUR": "449.59"
    }
  }
}